<?php

namespace Drp\NativeEventApp\Http\Middleware;

use Closure;
use Drp\NativeEventApp\Exceptions\FailedAuthentication;
use Illuminate\Http\Request;

class Authenticate
{
    /** @return mixed */
    public function handle(Request $request, Closure $next)
    {
        auth()->shouldUse(config('native-event-app.auth.guard'));

        throw_if(auth()->guest(), $this->failedAuthentication('Authentication Error: You are not logged in.'));

        return $next($request);
    }

    private function failedAuthentication(string $message): FailedAuthentication
    {
        return new FailedAuthentication(
            $message,
            [config('native-event-app.auth.guard')]
        );
    }
}
