<?php

namespace Drp\NativeEventApp\Modules\Types\Form;

/**
 * @method static make(string $name): RadioGroup
 */
class RadioGroup extends Input
{
    /** @var array */
    public $options = [];

    public static function getDescription(): string
    {
        return 'Radio group of options';
    }

    public function options(array $options): self
    {
        $this->options = [];

        foreach ($options as $label => $value) {
            $this->options[] = Option::make($label, $value);
        }

        return $this;
    }

    public function setOptions(array $options): void
    {
        $this->options = Option::fromArray($options);
    }
}
