<?php

namespace Drp\NativeEventApp\Modules\Types;

use Drp\NativeEventApp\Modules\Module;

/**
 * @method static make(string $src, string $preview): self
 */
class VRVideo extends Module
{
    /** @var string */
    public $src;

    /** @var string */
    public $preview;

    /** @var string|null */
    public $title;

    /** @var string|null */
    public $description;

    public function __construct(string $src, string $preview)
    {
        $this->src = $src;
        $this->preview = $preview;
    }

    public static function getDescription(): string
    {
        return 'A VR Video';
    }

    public function title(string $value): self
    {
        $this->title = $value;

        return $this;
    }

    public function description(string $value): self
    {
        $this->description = $value;

        return $this;
    }

    public function preview(string $value): self
    {
        $this->preview = $value;

        return $this;
    }
}
