<?php

namespace Drp\NativeEventApp\Notifications\Listeners;

use Drp\NativeEventApp\Models\FailedNotification;
use Drp\NativeEventApp\Notifications\Events\NotificationSendFailed;

class UpdateNotificationOnFailed
{
    public function handle(NotificationSendFailed $event): void
    {
        report($event->exception);

        FailedNotification::create([
            'notification_id' => $event->notification->id,
            'device_id' => $event->device->id,
            'error' => $event->exception->getMessage(),
        ]);
    }
}
