<?php

namespace Drp\NativeEventApp\Test\Api\Mutations;

use Drp\NativeEventApp\Events\RegistrationNotAttending;
use Drp\NativeEventApp\Test\Api\GraphQLTestCase;
use Drp\NativeEventApp\Test\Support\InteractsWithAuth;
use Drp\NativeEventApp\Test\Support\InteractsWithEvents;
use Illuminate\Support\Facades\Event;
use Spatie\Snapshots\MatchesSnapshots;

class NotAttendingTest extends GraphQLTestCase
{
    use MatchesSnapshots, InteractsWithEvents, InteractsWithAuth;

    /** @test */
    public function the_mutation_fires_a_not_attending_event(): void
    {
        Event::fake();

        $this->registerFakeEventWithRegistration();

        $query = 'mutation {
              notAttending (registrationId: ' . $this->registration->id . ')
            }';

        $this->assertMatchesJsonSnapshot(
            $this->graphQlRequest($query)
        );

        Event::assertDispatched(RegistrationNotAttending::class, function ($event) {
            return $event->registrationId === $this->registration->id;
        });
    }
}
