<?php


namespace Drp\NativeEventApp\Test\Support\Fakes\Modules;

use Drp\NativeEventApp\Modules\Module;
use Illuminate\Support\Arr;

class ModuleWithDependency extends Module
{
    /** @var string */
    protected $text;

    public function __construct(string $text)
    {
        $this->text = $text;
    }

    public function setContent(array $content): Module
    {
        $this->text = Arr::get($content, 'text');

        return $this;
    }

    public function getText(): ?string
    {
        return $this->text;
    }

    static public function getDescription(): string
    {
        return 'Module';
    }

    /** @return \JsonSerializable|string|array|null */
    public function getContent()
    {
        return [
            'text' => $this->text,
        ];
    }
}