<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAgendaItemsTable extends TableMigration
{
    public function tableName(): string
    {
        return 'agenda_items';
    }

    public function up(): void
    {
        Schema::create($this->getTableNameWithPrefix(), static function (Blueprint $table): void {
            $table->increments('id');
            $table->string('title');
            $table->text('description')->nullable();
            $table->dateTime('startTime')->nullable();
            $table->dateTime('endTime')->nullable();
            $table->unsignedBigInteger('agendaId');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::drop($this->getTableNameWithPrefix());
    }
}
