<?php

namespace Drp\NativeEventApp\Test\Unit;

use Drp\NativeEventApp\EmailAddress;
use Drp\NativeEventApp\Enums\AuthMethod;
use Drp\NativeEventApp\PhoneNumber;
use Drp\NativeEventApp\Test\TestCase;

class AuthMethodTest extends TestCase
{
    /** @test */
    public function can_convert_to_phone_number_for_sms()
    {
        $phoneNumber = AuthMethod::SMS()->toObject('07474747474');

        $this->assertInstanceOf(PhoneNumber::class, $phoneNumber);
        $this->assertEquals('07474747474', $phoneNumber);
    }

    /** @test */
    public function can_convert_to_email_address_for_email()
    {
        $emailAddress = AuthMethod::EMAIL()->toObject('test@example.com');

        $this->assertInstanceOf(EmailAddress::class, $emailAddress);
        $this->assertEquals('test@example.com', $emailAddress);
    }
}
