<?php

namespace Drp\NativeEventApp\Test\Unit\Modules\Types\Form;

use Drp\NativeEventApp\Facades\ModulesUnSerializer;
use Drp\NativeEventApp\Modules\Types\Form\Select;
use Drp\NativeEventApp\Test\TestCase;

class SelectTest extends TestCase
{
    /** @test */
    public function is_serializable(): void
    {
        $select = Select::make('select')->options([
            'Label One' => '1',
            'Label Two' => '2',
        ]);
        $options = $select->options;

        $serializedModule = json_encode([$select]);
        $module = ModulesUnSerializer::getModulesFromString($serializedModule)->first();

        $this->assertInstanceOf(Select::class, $module);
        $this->assertEquals($options, $module->options);
    }
}
